Supported or unsupported?

All the inane chatter goes in here. If you're curious about whether we will support a game, post HERE not in General Discussion :)

Moderator: ScummVM Team

Post Reply
FernandoLemon
Posts: 2
Joined: Sun Feb 23, 2020 5:52 pm

Supported or unsupported?

Post by FernandoLemon »

I've lately been working on revamping Wikipedia's list of supported games, and I wanted to know the status of these ones, since their compatibility is listed as "Good" on the official compatibility list, but as "Unsupported" on the wiki. So... which one is it?

The games are Police Quest: SWAT, Starship Titanic, and the Living Books Stellaluna and Green Eggs and Ham. Thanks!
User avatar
criezy
ScummVM Developer
Posts: 762
Joined: Sat Sep 23, 2006 10:41 am
Location: West Sussex, UK

Re: Supported or unsupported?

Post by criezy »

Where do you see on the wiki that Starship Titanic is not supported?
On https://wiki.scummvm.org/index.php?titl ... ip_Titanic it indicates that it is supported since ScummVM 2.0.0 (in the Info box on the right).
... I just noticed that the category had not been updated and it was still in the Unsupported Games category. Maybe that is what you saw. I have fixed that now.

The listing of PQ:SWAT on the compatibility list is indeed confusing. I believe the wiki is right there and the game is not supported (it is at least still marked as unstable in the detection table in the source code).

For the Living Books game, this is even more confusing and I don't know what the situation is. The NEWS file indicate that we support v1 and v2 Living Books games, but I cannot see anywhere which ones those are. And there is no mention in the NEWS of more recent Living Books game being supported.
FernandoLemon
Posts: 2
Joined: Sun Feb 23, 2020 5:52 pm

Re: Supported or unsupported?

Post by FernandoLemon »

criezy wrote: Mon Mar 02, 2020 2:33 pm Where do you see on the wiki that Starship Titanic is not supported?
On https://wiki.scummvm.org/index.php?titl ... ip_Titanic it indicates that it is supported since ScummVM 2.0.0 (in the Info box on the right).
... I just noticed that the category had not been updated and it was still in the Unsupported Games category. Maybe that is what you saw. I have fixed that now.
That is indeed what I saw. I knew the game was supported (since 2.0.0), I just worded that part wrong. Thank you for fixing that.
criezy wrote: Mon Mar 02, 2020 2:33 pm The listing of PQ:SWAT on the compatibility list is indeed confusing. I believe the wiki is right there and the game is not supported (it is at least still marked as unstable in the detection table in the source code).
If it was supported, it should've been listed on the "Newly supported games" section of the 2.0.0 or 2.1.0 release announcement, since it was starting from then that we started adding support for FMV games. Yet, it's not. I think that means it's not supported, though it does make me wonder why it's listed as "good". Eh.
criezy wrote: Mon Mar 02, 2020 2:33 pm For the Living Books game, this is even more confusing and I don't know what the situation is. The NEWS file indicate that we support v1 and v2 Living Books games, but I cannot see anywhere which ones those are. And there is no mention in the NEWS of more recent Living Books game being supported.
I did some digging (like I should have) and it seems that those two are supported since 1.3.0, like with the other Living Books series games: https://www.scummvm.org/news/20110422/
(The actual release uses the generic term "Living Books", so there's a possibility they're not: https://www.scummvm.org/news/20110528/)
So the listing on the wiki is probably wrong, nothing more. Mind updating it?
User avatar
criezy
ScummVM Developer
Posts: 762
Joined: Sat Sep 23, 2006 10:41 am
Location: West Sussex, UK

Re: Supported or unsupported?

Post by criezy »

Thank you for digging the news post for the Living Books games. Previously I saw the news for 1.3.0 that only mentions Living Books v1 and v2 games, and for me it was not clear which ones that includes. But your first news post is more explicit with a list of games that includes both Stellaluna and Green Eggs and Ham. So with that I do believe this means they are indeed supported since ScummVM 1.3.0. I will update the wiki later tonight.

Edit: I have now updated the wiki.
Post Reply